Subject: [Netconf] WG Call for consensus to advance NetConf protocol docs on standards track

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Thu, 08 Nov 2012 11:15:00 -0500

Dear WG participants,

This is a call for consensus to do the work that is
required to advance these from Proposed Standard
to Internet Standard:

    - RFC 6241, Netconf Protocol
    - RFC 6242, Netconf over SSH
    - RFC 5717, Partial Lock for NetConf
    - RFC 5277, Netconf Event Notifications
    - RFC 6243, Netconf with Defaults capability
    - RFC 6536, Netconf Access Control Model

Please respond no later than 23rd of November (any timezone).

Background.
At our netconf session at IETF85, I reported on the
Interoperability testing of the set of NetConf protocol
documents. As you can read in the slides at

   http://tools.ietf.org/agenda/85/slides/slides-85-netconf-3.pdf

we did find a large set of genetically independent implementations
(10 clients and 5 servers) that successfully inter-operated on all
mandatory items and also on all optional capabilities.

So we asked the room if we should compile this into a report that
we can send to the IESG with a request for advancement of the
documents on the standards track.

The set that is under consideration is as follows:

    Netconf Protocol Documents:
    - 6241, 6242, 5717, 5277, 6243
    - 6536 (needs bit more testing in the next few months)

In the WG session we saw/heard good support for that work and
no objections.

So to this email we ask all NETCONF participants to confirm
(or object) that we have consensus to move forward with this
work.

We will need to collect data on deployment of those protocols,
I will ask for input on that in a separate email.

Bert and Mehmet

---

From: Phil Shafer <[email-masked]>
Date: Thu, 8 Nov 2012 13:30:16 -0500

>required to advance these from Proposed Standard

+1

Thanks,
 Phil

---

From: Margaret Wasserman <[email-masked]>
Date: Thu, 8 Nov 2012 14:27:43 -0500

++

Margaret

On Nov 8, 2012, at 1:30 PM, Phil Shafer wrote:

> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: "Alexander Clemm (alex)" <[email-masked]>
Date: Sat, 10 Nov 2012 01:33:25 +0000

+1
--- Alex

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Phil Shafer
Sent: Thursday, November 08, 2012 10:30 AM
To: Bert Wijnen (IETF)
Cc: Netconf
Subject: Re: [Netconf] WG Call for consensus to advance NetConf protocol docs on standards track

"Bert Wijnen (IETF)" writes:
>This is a call for consensus to do the work that is required to advance 
>these from Proposed Standard to Internet Standard:

+1

Thanks,
 Phil

---

From: Andy Bierman <[email-masked]>
Date: Fri, 9 Nov 2012 18:40:06 -0800

+1

On Thu, Nov 8, 2012 at 8:15 AM, Bert Wijnen (IETF) <[email-masked]>wrote:

>   http://tools.ietf.org/agenda/**85/slides/slides-85-netconf-3.**pdf<http://tools.ietf.org/agenda/85/slides/slides-85-netconf-3.pdf>
>
> ______________________________**_________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/netconf<https://www.ietf.org/mailman/listinfo/netconf>
>

---

From: Radek Krejčí <[email-masked]>
Date: Sun, 11 Nov 2012 11:03:12 +0100

+1

Best regards,
Radek Krejci

---

From: Martin Bjorklund <[email-masked]>
Date: Sun, 11 Nov 2012 15:30:09 +0100 (CET)

+1

/martin

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Sun, 11 Nov 2012 18:14:12 +0100

Support.

Mehmet 

> From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext
> Martin Bjorklund
> Sent: Sunday, November 11, 2012 3:30 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Netconf] WG Call for consensus to advance NetConf
protocol docs on
> standards track

---

From: Carl Moberg <[email-masked]>
Date: Sun, 11 Nov 2012 18:29:24 +0100

+1

---

From: Kent Watsen <[email-masked]>
Date: Mon, 12 Nov 2012 18:22:51 +0000

+1

---

From: Ladislav Lhotka <[email-masked]>
Date: Tue, 13 Nov 2012 12:44:50 +0100

+1

Lada

-- 
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

---

From: Matjaz Vrecko <[email-masked]>
Date: Thu, 15 Nov 2012 10:21:05 +0100

+1

Matjaz

-- 
Matjaz Vrecko
MG-SOFT Corporation, Strma ulica 8, SI-2000 Maribor, Slovenia
Internet: http://www.mg-soft.si/  E-mail: <[email-masked]>
Phone: +386 2 2506565, Fax: +386 2 2506566

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Wed, 21 Nov 2012 10:19:14 +0100

Reminder that this WG LC ends on 23rd of Nov.

Hope it does not ruin your ThanksGiving in USA.

Bert

-------- Original Message --------
Subject: [Netconf] WG Call for consensus to advance NetConf protocol docs on standards track
Date: Thu, 08 Nov 2012 11:15:00 -0500
From: Bert Wijnen (IETF) <[email-masked]>
To: Netconf <[email-masked]>

Dear WG participants,

Background.

Bert and Mehmet

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 21 Nov 2012 12:51:34 +0000

The interoperability event showed that there is a sufficient number of independent implementations that interoperate. I am fine with the advancement of these documents to Internet Standard, provided that the information that will be gathered shows that the condition of widespread deployment is also met. 

Regards,

Dan

> Behalf Of Bert Wijnen (IETF)
> Sent: Wednesday, November 21, 2012 11:19 AM
> To: Netconf
> Subject: [Netconf] Reminder: Action before 23 Nov 2012: WG Call for
> consensus to advance NetConf protocol docs on standards track
> 
> At our netconf session at IETF85, I reported on the Interoperability
> testing of the set of NetConf protocol documents. As you can read in the
> slides at
> 
> So we asked the room if we should compile this into a report that we can
> send to the IESG with a request for advancement of the documents on the
> standards track.
> 
> In the WG session we saw/heard good support for that work and no
> objections.
> 
> So to this email we ask all NETCONF participants to confirm (or object)
> that we have consensus to move forward with this work.
> 
> We will need to collect data on deployment of those protocols, I will
> ask for input on that in a separate email.
> 
> Bert and Mehmet

---

From: Xiang Li <[email-masked]>
Date: Wed, 21 Nov 2012 10:25:38 -0600

+1

-- 
--
Xiang Li
Web: www.seguesoft.com
Voice: 1 (516) 453-5361 Cell 1 (217) 819-0942

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Thu, 29 Nov 2012 08:56:50 +0100

WG participants,

We've not had any objections or concerns regarding is WG call for
consensus. Instead we got a reasonable amount of expressions
of support. So we will bring this to our WG charter via our AD.
In fact it is already part of the WG charter, given these
current nilestones:

Nov 2012 	Collect Implementation/Deployment reports for RFC6241 and 6242
Dec 2012 	Initial I-D for RFC6241/6242 implementation/deployment experience
Jan 2013 	WGLC on RFC6241/6242 implementation/deployment experience
Feb 2013 	possibly submit RFC6241/6242 implementation/deployment experience
                 doc to IESG for publication as Informational RFC

Bert